#include "encoder.bmx.console.debug.win32.x86.h"
struct BBString_1{BBClass_String* clas;BBULONG hash;int length;BBChar buf[1];};
struct BBString_2{BBClass_String* clas;BBULONG hash;int length;BBChar buf[2];};
struct BBString_60{BBClass_String* clas;BBULONG hash;int length;BBChar buf[60];};
struct BBString_36{BBClass_String* clas;BBULONG hash;int length;BBChar buf[36];};
struct BBString_8{BBClass_String* clas;BBULONG hash;int length;BBChar buf[8];};
struct BBString_9{BBClass_String* clas;BBULONG hash;int length;BBChar buf[9];};
struct BBString_18{BBClass_String* clas;BBULONG hash;int length;BBChar buf[18];};
static struct BBString_1 _s16={
	&bbStringClass,
	0xf1246dec78a245bd,
	1,
	{48}
};
static struct BBString_2 _s17={
	&bbStringClass,
	0x38991b153a0da9d7,
	2,
	{48,48}
};
static struct BBString_1 _s12={
	&bbStringClass,
	0x5f9f5a52cdd755d3,
	1,
	{49}
};
static struct BBString_1 _s18={
	&bbStringClass,
	0x727734649dc0245c,
	1,
	{50}
};
static struct BBString_60 _s11={
	&bbStringClass,
	0x61950b41ea699f08,
	60,
	{67,104,111,111,115,101,32,102,114,111,109,32,49,46,108,111,97
	,100,32,102,114,111,109,32,102,105,108,101,32,116,111,32,48
	,48,32,50,46,32,108,111,97,100,32,102,114,111,109,32,48
	,48,32,116,111,32,102,105,108,101,32,62}
};
static struct BBString_36 _s14={
	&bbStringClass,
	0xef7ec5836a8dddb,
	36,
	{70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,97,32
	,82,101,97,100,83,116,114,101,97,109,32,116,111,32,102,105
	,108,101,32}
};
static struct BBString_8 _s13={
	&bbStringClass,
	0x58aaddc16cdbc7b3,
	8,
	{70,105,108,101,105,110,58,62}
};
static struct BBString_9 _s15={
	&bbStringClass,
	0x7c5f3d5be28f88b8,
	9,
	{70,105,108,101,111,117,116,58,62}
};
static struct BBString_18 _s19={
	&bbStringClass,
	0xd42f964df3806681,
	18,
	{80,114,101,115,115,32,101,110,116,101,114,32,116,111,32,69,110
	,100}
};
struct BBDebugScope_19{int kind; const char *name; BBDebugDecl decls[20]; };
struct BBDebugScope_3{int kind; const char *name; BBDebugDecl decls[4]; };
static int _bb_main_inited = 0;
int _bb_main(){
	if (!_bb_main_inited) {
		_bb_main_inited = 1;
		__bb_brl_blitz_blitz();
		__bb_brl_appstub_appstub();
		__bb_brl_audio_audio();
		__bb_brl_bank_bank();
		__bb_brl_bankstream_bankstream();
		__bb_brl_base64_base64();
		__bb_brl_basic_basic();
		__bb_brl_bmploader_bmploader();
		__bb_brl_bytebuffer_bytebuffer();
		__bb_brl_clipboard_clipboard();
		__bb_brl_collections_collections();
		__bb_brl_d3d7max2d_d3d7max2d();
		__bb_brl_d3d9max2d_d3d9max2d();
		__bb_brl_directsoundaudio_directsoundaudio();
		__bb_brl_eventqueue_eventqueue();
		__bb_brl_freeaudioaudio_freeaudioaudio();
		__bb_brl_freetypefont_freetypefont();
		__bb_brl_glgraphics_glgraphics();
		__bb_brl_glmax2d_glmax2d();
		__bb_brl_gnet_gnet();
		__bb_brl_jpgloader_jpgloader();
		__bb_brl_map_map();
		__bb_brl_matrix_matrix();
		__bb_brl_maxlua_maxlua();
		__bb_brl_maxunit_maxunit();
		__bb_brl_maxutil_maxutil();
		__bb_brl_objectlist_objectlist();
		__bb_brl_oggloader_oggloader();
		__bb_brl_openalaudio_openalaudio();
		__bb_brl_platform_platform();
		__bb_brl_pngloader_pngloader();
		__bb_brl_polygon_polygon();
		__bb_brl_quaternion_quaternion();
		__bb_brl_retro_retro();
		__bb_brl_tgaloader_tgaloader();
		__bb_brl_threadpool_threadpool();
		__bb_brl_timer_timer();
		__bb_brl_timerdefault_timerdefault();
		__bb_brl_utf8stream_utf8stream();
		__bb_brl_uuid_uuid();
		__bb_brl_volumes_volumes();
		__bb_brl_wavloader_wavloader();
		__bb_pub_freejoy_freejoy();
		__bb_pub_freeprocess_freeprocess();
		__bb_pub_glad_glad();
		__bb_pub_nfd_nfd();
		__bb_pub_nx_nx();
		__bb_pub_opengles_opengles();
		__bb_pub_opengles3_opengles3();
		__bb_pub_vulkan_vulkan();
		__bb_pub_xmmintrin_xmmintrin();
		bbRegisterSource(0x2342ec67c9942389, "C:/Users/Admin/Desktop/00/encoder.bmx");
		BBSTRING bbt_in1=(&bbEmptyString);
		BBSTRING bbt_inm2=(&bbEmptyString);
		BBSTRING bbt_dec=(&bbEmptyString);
		BBSTRING bbt_binu=(&bbEmptyString);
		BBSTRING bbt_bintrim=(&bbEmptyString);
		BBSTRING bbt_inread=(&bbEmptyString);
		BBSTRING bbt_cbyte=(&bbEmptyString);
		BBINT bbt_memorybit=0;
		BBINT bbt_decint=0;
		BBINT bbt_totalascii=0;
		BBINT bbt_memdump=0;
		BBSTRING bbt_memorybyte1=(&bbEmptyString);
		BBSTRING bbt_memorybyte2=(&bbEmptyString);
		BBSTRING bbt_memorybyte3=(&bbEmptyString);
		BBSTRING bbt_memorybyte4=(&bbEmptyString);
		BBSTRING bbt_memorybyte5=(&bbEmptyString);
		BBSTRING bbt_memorybyte6=(&bbEmptyString);
		BBSTRING bbt_memorybyte7=(&bbEmptyString);
		BBSTRING bbt_memorybyte8=(&bbEmptyString);
		struct BBDebugScope_19 __scope = {
			BBDEBUGSCOPE_FUNCTION,
			"encoder",
			{
				{
					BBDEBUGDECL_LOCAL,
					"in1",
					"$",
					.var_address=&bbt_in1
				},
				{
					BBDEBUGDECL_LOCAL,
					"inm2",
					"$",
					.var_address=&bbt_inm2
				},
				{
					BBDEBUGDECL_LOCAL,
					"dec",
					"$",
					.var_address=&bbt_dec
				},
				{
					BBDEBUGDECL_LOCAL,
					"binu",
					"$",
					.var_address=&bbt_binu
				},
				{
					BBDEBUGDECL_LOCAL,
					"bintrim",
					"$",
					.var_address=&bbt_bintrim
				},
				{
					BBDEBUGDECL_LOCAL,
					"inread",
					"$",
					.var_address=&bbt_inread
				},
				{
					BBDEBUGDECL_LOCAL,
					"cbyte",
					"$",
					.var_address=&bbt_cbyte
				},
				{
					BBDEBUGDECL_LOCAL,
					"memorybit",
					"i",
					.var_address=&bbt_memorybit
				},
				{
					BBDEBUGDECL_LOCAL,
					"decint",
					"i",
					.var_address=&bbt_decint
				},
				{
					BBDEBUGDECL_LOCAL,
					"totalascii",
					"i",
					.var_address=&bbt_totalascii
				},
				{
					BBDEBUGDECL_LOCAL,
					"memdump",
					"i",
					.var_address=&bbt_memdump
				},
				{
					BBDEBUGDECL_LOCAL,
					"memorybyte1",
					"$",
					.var_address=&bbt_memorybyte1
				},
				{
					BBDEBUGDECL_LOCAL,
					"memorybyte2",
					"$",
					.var_address=&bbt_memorybyte2
				},
				{
					BBDEBUGDECL_LOCAL,
					"memorybyte3",
					"$",
					.var_address=&bbt_memorybyte3
				},
				{
					BBDEBUGDECL_LOCAL,
					"memorybyte4",
					"$",
					.var_address=&bbt_memorybyte4
				},
				{
					BBDEBUGDECL_LOCAL,
					"memorybyte5",
					"$",
					.var_address=&bbt_memorybyte5
				},
				{
					BBDEBUGDECL_LOCAL,
					"memorybyte6",
					"$",
					.var_address=&bbt_memorybyte6
				},
				{
					BBDEBUGDECL_LOCAL,
					"memorybyte7",
					"$",
					.var_address=&bbt_memorybyte7
				},
				{
					BBDEBUGDECL_LOCAL,
					"memorybyte8",
					"$",
					.var_address=&bbt_memorybyte8
				},
				{
					BBDEBUGDECL_END
				}
			}
		};
		bbOnDebugEnterScope((BBDebugScope *)&__scope);
		struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 2, 0};
		bbOnDebugEnterStm(&__stmt_0);
		bbt_in1=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 3, 0};
		bbOnDebugEnterStm(&__stmt_1);
		bbt_inm2=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 4, 0};
		bbOnDebugEnterStm(&__stmt_2);
		bbt_dec=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_3 = {0x2342ec67c9942389, 5, 0};
		bbOnDebugEnterStm(&__stmt_3);
		bbt_binu=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_4 = {0x2342ec67c9942389, 6, 0};
		bbOnDebugEnterStm(&__stmt_4);
		bbt_bintrim=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_5 = {0x2342ec67c9942389, 7, 0};
		bbOnDebugEnterStm(&__stmt_5);
		bbt_inread=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_6 = {0x2342ec67c9942389, 8, 0};
		bbOnDebugEnterStm(&__stmt_6);
		bbt_cbyte=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_7 = {0x2342ec67c9942389, 9, 0};
		bbOnDebugEnterStm(&__stmt_7);
		bbt_memorybit=0;
		struct BBDebugStm __stmt_8 = {0x2342ec67c9942389, 10, 0};
		bbOnDebugEnterStm(&__stmt_8);
		bbt_decint=0;
		struct BBDebugStm __stmt_9 = {0x2342ec67c9942389, 11, 0};
		bbOnDebugEnterStm(&__stmt_9);
		bbt_totalascii=0;
		struct BBDebugStm __stmt_10 = {0x2342ec67c9942389, 12, 0};
		bbOnDebugEnterStm(&__stmt_10);
		bbt_memdump=0;
		struct BBDebugStm __stmt_11 = {0x2342ec67c9942389, 13, 0};
		bbOnDebugEnterStm(&__stmt_11);
		bbt_memorybyte1=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_12 = {0x2342ec67c9942389, 14, 0};
		bbOnDebugEnterStm(&__stmt_12);
		bbt_memorybyte2=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_13 = {0x2342ec67c9942389, 15, 0};
		bbOnDebugEnterStm(&__stmt_13);
		bbt_memorybyte3=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_14 = {0x2342ec67c9942389, 16, 0};
		bbOnDebugEnterStm(&__stmt_14);
		bbt_memorybyte4=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_15 = {0x2342ec67c9942389, 17, 0};
		bbOnDebugEnterStm(&__stmt_15);
		bbt_memorybyte5=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_16 = {0x2342ec67c9942389, 18, 0};
		bbOnDebugEnterStm(&__stmt_16);
		bbt_memorybyte6=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_17 = {0x2342ec67c9942389, 19, 0};
		bbOnDebugEnterStm(&__stmt_17);
		bbt_memorybyte7=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_18 = {0x2342ec67c9942389, 20, 0};
		bbOnDebugEnterStm(&__stmt_18);
		bbt_memorybyte8=((BBString*)&bbEmptyString);
		struct BBDebugStm __stmt_19 = {0x2342ec67c9942389, 21, 0};
		bbOnDebugEnterStm(&__stmt_19);
		bbt_dec=brl_standardio_Input((BBString*)&_s11);
		struct BBDebugStm __stmt_20 = {0x2342ec67c9942389, 26, 0};
		bbOnDebugEnterStm(&__stmt_20);
		if(bbStringEquals(bbt_dec, ((BBString*)&_s12))==1){
			BBINT bbt_numb=0;
			struct brl_stream_TStream_obj* bbt_in=(struct brl_stream_TStream_obj*)((struct brl_stream_TStream_obj*)&bbNullObject);
			struct brl_stream_TStream_obj* bbt_in2=(struct brl_stream_TStream_obj*)((struct brl_stream_TStream_obj*)&bbNullObject);
			struct BBDebugScope_3 __scope = {
				BBDEBUGSCOPE_LOCALBLOCK,
				0,
				{
					{
						BBDEBUGDECL_LOCAL,
						"numb",
						"i",
						.var_address=&bbt_numb
					},
					{
						BBDEBUGDECL_LOCAL,
						"in",
						":TStream",
						.var_address=&bbt_in
					},
					{
						BBDEBUGDECL_LOCAL,
						"in2",
						":TStream",
						.var_address=&bbt_in2
					},
					{
						BBDEBUGDECL_END
					}
				}
			};
			bbOnDebugEnterScope((BBDebugScope *)&__scope);
			struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 27, 0};
			bbOnDebugEnterStm(&__stmt_0);
			bbt_numb=0;
			struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 28, 0};
			bbOnDebugEnterStm(&__stmt_1);
			bbt_in1=brl_standardio_Input((BBString*)&_s13);
			struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 29, 0};
			bbOnDebugEnterStm(&__stmt_2);
			bbt_in=(struct brl_stream_TStream_obj*)brl_stream_ReadStream((BBOBJECT)bbt_in1);
			struct BBDebugStm __stmt_3 = {0x2342ec67c9942389, 30, 0};
			bbOnDebugEnterStm(&__stmt_3);
			if(!(((BBObject*)bbt_in)!= &bbNullObject)){
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 30, 0};
				bbOnDebugEnterStm(&__stmt_0);
				brl_blitz_RuntimeError(bbStringConcat(((BBString*)&_s14),bbt_in1));
				bbOnDebugLeaveScope();
			}
			struct BBDebugStm __stmt_4 = {0x2342ec67c9942389, 31, 0};
			bbOnDebugEnterStm(&__stmt_4);
			bbt_inm2=brl_standardio_Input((BBString*)&_s15);
			struct BBDebugStm __stmt_5 = {0x2342ec67c9942389, 32, 0};
			bbOnDebugEnterStm(&__stmt_5);
			bbt_in2=(struct brl_stream_TStream_obj*)brl_stream_WriteStream((BBOBJECT)bbt_inm2);
			struct BBDebugStm __stmt_6 = {0x2342ec67c9942389, 33, 0};
			bbOnDebugEnterStm(&__stmt_6);
			if(!(((BBObject*)bbt_in2)!= &bbNullObject)){
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 33, 0};
				bbOnDebugEnterStm(&__stmt_0);
				brl_blitz_RuntimeError(bbStringConcat(((BBString*)&_s14),bbt_inm2));
				bbOnDebugLeaveScope();
			}
			struct BBDebugStm __stmt_7 = {0x2342ec67c9942389, 35, 0};
			bbOnDebugEnterStm(&__stmt_7);
			while(!(brl_stream_Eof((struct brl_stream_TStream_obj*)bbt_in)!=0)){
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 36, 0};
				bbOnDebugEnterStm(&__stmt_0);
				bbt_inread=bbStringFromInt(brl_stream_ReadByte((struct brl_stream_TStream_obj*)bbt_in));
				struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 37, 0};
				bbOnDebugEnterStm(&__stmt_1);
				bbt_decint=0;
				struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 38, 0};
				bbOnDebugEnterStm(&__stmt_2);
				if(bbStringEquals(bbt_inread, ((BBString*)&_s16))==1){
					struct BBDebugScope __scope = {
						BBDEBUGSCOPE_LOCALBLOCK,
						0,
						{
							{
								BBDEBUGDECL_END
							}
						}
					};
					bbOnDebugEnterScope((BBDebugScope *)&__scope);
					struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 39, 0};
					bbOnDebugEnterStm(&__stmt_0);
					bbt_decint=0;
					struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 40, 0};
					bbOnDebugEnterStm(&__stmt_1);
					bbt_binu=brl_retro_Bin(bbt_decint);
					struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 41, 0};
					bbOnDebugEnterStm(&__stmt_2);
					bbt_bintrim=brl_retro_Right(bbt_binu,8);
					struct BBDebugStm __stmt_3 = {0x2342ec67c9942389, 42, 0};
					bbOnDebugEnterStm(&__stmt_3);
					bbt_memorybyte1=brl_retro_Mid(bbt_bintrim,8,1);
					struct BBDebugStm __stmt_4 = {0x2342ec67c9942389, 43, 0};
					bbOnDebugEnterStm(&__stmt_4);
					bbt_memorybyte2=brl_retro_Mid(bbt_bintrim,7,1);
					struct BBDebugStm __stmt_5 = {0x2342ec67c9942389, 44, 0};
					bbOnDebugEnterStm(&__stmt_5);
					bbt_memorybyte3=brl_retro_Mid(bbt_bintrim,6,1);
					struct BBDebugStm __stmt_6 = {0x2342ec67c9942389, 45, 0};
					bbOnDebugEnterStm(&__stmt_6);
					bbt_memorybyte4=brl_retro_Mid(bbt_bintrim,5,1);
					struct BBDebugStm __stmt_7 = {0x2342ec67c9942389, 46, 0};
					bbOnDebugEnterStm(&__stmt_7);
					bbt_memorybyte5=brl_retro_Mid(bbt_bintrim,4,1);
					struct BBDebugStm __stmt_8 = {0x2342ec67c9942389, 47, 0};
					bbOnDebugEnterStm(&__stmt_8);
					bbt_memorybyte6=brl_retro_Mid(bbt_bintrim,3,1);
					struct BBDebugStm __stmt_9 = {0x2342ec67c9942389, 48, 0};
					bbOnDebugEnterStm(&__stmt_9);
					bbt_memorybyte7=brl_retro_Mid(bbt_bintrim,2,1);
					struct BBDebugStm __stmt_10 = {0x2342ec67c9942389, 49, 0};
					bbOnDebugEnterStm(&__stmt_10);
					bbt_memorybyte8=brl_retro_Mid(bbt_bintrim,1,1);
					struct BBDebugStm __stmt_11 = {0x2342ec67c9942389, 50, 0};
					bbOnDebugEnterStm(&__stmt_11);
					if(bbStringEquals(bbt_memorybyte1, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 50, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_12 = {0x2342ec67c9942389, 51, 0};
					bbOnDebugEnterStm(&__stmt_12);
					if(bbStringEquals(bbt_memorybyte1, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 51, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_13 = {0x2342ec67c9942389, 52, 0};
					bbOnDebugEnterStm(&__stmt_13);
					if(bbStringEquals(bbt_memorybyte2, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 52, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_14 = {0x2342ec67c9942389, 53, 0};
					bbOnDebugEnterStm(&__stmt_14);
					if(bbStringEquals(bbt_memorybyte2, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 53, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_15 = {0x2342ec67c9942389, 54, 0};
					bbOnDebugEnterStm(&__stmt_15);
					if(bbStringEquals(bbt_memorybyte3, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 54, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_16 = {0x2342ec67c9942389, 55, 0};
					bbOnDebugEnterStm(&__stmt_16);
					if(bbStringEquals(bbt_memorybyte3, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 55, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_17 = {0x2342ec67c9942389, 56, 0};
					bbOnDebugEnterStm(&__stmt_17);
					if(bbStringEquals(bbt_memorybyte4, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 56, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_18 = {0x2342ec67c9942389, 57, 0};
					bbOnDebugEnterStm(&__stmt_18);
					if(bbStringEquals(bbt_memorybyte4, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 57, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_19 = {0x2342ec67c9942389, 58, 0};
					bbOnDebugEnterStm(&__stmt_19);
					if(bbStringEquals(bbt_memorybyte5, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 58, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_20 = {0x2342ec67c9942389, 59, 0};
					bbOnDebugEnterStm(&__stmt_20);
					if(bbStringEquals(bbt_memorybyte5, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 59, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_21 = {0x2342ec67c9942389, 60, 0};
					bbOnDebugEnterStm(&__stmt_21);
					if(bbStringEquals(bbt_memorybyte6, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 60, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_22 = {0x2342ec67c9942389, 61, 0};
					bbOnDebugEnterStm(&__stmt_22);
					if(bbStringEquals(bbt_memorybyte6, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 61, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_23 = {0x2342ec67c9942389, 62, 0};
					bbOnDebugEnterStm(&__stmt_23);
					if(bbStringEquals(bbt_memorybyte7, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 62, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_24 = {0x2342ec67c9942389, 63, 0};
					bbOnDebugEnterStm(&__stmt_24);
					if(bbStringEquals(bbt_memorybyte7, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 63, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_25 = {0x2342ec67c9942389, 64, 0};
					bbOnDebugEnterStm(&__stmt_25);
					if(bbStringEquals(bbt_memorybyte8, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 64, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_26 = {0x2342ec67c9942389, 65, 0};
					bbOnDebugEnterStm(&__stmt_26);
					if(bbStringEquals(bbt_memorybyte8, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 65, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					bbOnDebugLeaveScope();
				}else{
					struct BBDebugScope __scope = {
						BBDEBUGSCOPE_LOCALBLOCK,
						0,
						{
							{
								BBDEBUGDECL_END
							}
						}
					};
					bbOnDebugEnterScope((BBDebugScope *)&__scope);
					struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 69, 0};
					bbOnDebugEnterStm(&__stmt_0);
					do{
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 68, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_decint=(bbt_decint+1);
						bbOnDebugLeaveScope();
					}while(!(bbStringEquals(bbStringFromInt(bbt_decint), bbt_inread)==1));
					struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 70, 0};
					bbOnDebugEnterStm(&__stmt_1);
					bbt_binu=brl_retro_Bin(bbt_decint);
					struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 71, 0};
					bbOnDebugEnterStm(&__stmt_2);
					bbt_bintrim=brl_retro_Right(bbt_binu,8);
					struct BBDebugStm __stmt_3 = {0x2342ec67c9942389, 72, 0};
					bbOnDebugEnterStm(&__stmt_3);
					bbt_memorybyte1=brl_retro_Mid(bbt_bintrim,8,1);
					struct BBDebugStm __stmt_4 = {0x2342ec67c9942389, 73, 0};
					bbOnDebugEnterStm(&__stmt_4);
					bbt_memorybyte2=brl_retro_Mid(bbt_bintrim,7,1);
					struct BBDebugStm __stmt_5 = {0x2342ec67c9942389, 74, 0};
					bbOnDebugEnterStm(&__stmt_5);
					bbt_memorybyte3=brl_retro_Mid(bbt_bintrim,6,1);
					struct BBDebugStm __stmt_6 = {0x2342ec67c9942389, 75, 0};
					bbOnDebugEnterStm(&__stmt_6);
					bbt_memorybyte4=brl_retro_Mid(bbt_bintrim,5,1);
					struct BBDebugStm __stmt_7 = {0x2342ec67c9942389, 76, 0};
					bbOnDebugEnterStm(&__stmt_7);
					bbt_memorybyte5=brl_retro_Mid(bbt_bintrim,4,1);
					struct BBDebugStm __stmt_8 = {0x2342ec67c9942389, 77, 0};
					bbOnDebugEnterStm(&__stmt_8);
					bbt_memorybyte6=brl_retro_Mid(bbt_bintrim,3,1);
					struct BBDebugStm __stmt_9 = {0x2342ec67c9942389, 78, 0};
					bbOnDebugEnterStm(&__stmt_9);
					bbt_memorybyte7=brl_retro_Mid(bbt_bintrim,2,1);
					struct BBDebugStm __stmt_10 = {0x2342ec67c9942389, 79, 0};
					bbOnDebugEnterStm(&__stmt_10);
					bbt_memorybyte8=brl_retro_Mid(bbt_bintrim,1,1);
					struct BBDebugStm __stmt_11 = {0x2342ec67c9942389, 80, 0};
					bbOnDebugEnterStm(&__stmt_11);
					if(bbStringEquals(bbt_memorybyte1, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 80, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_12 = {0x2342ec67c9942389, 81, 0};
					bbOnDebugEnterStm(&__stmt_12);
					if(bbStringEquals(bbt_memorybyte1, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 81, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_13 = {0x2342ec67c9942389, 82, 0};
					bbOnDebugEnterStm(&__stmt_13);
					if(bbStringEquals(bbt_memorybyte2, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 82, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_14 = {0x2342ec67c9942389, 83, 0};
					bbOnDebugEnterStm(&__stmt_14);
					if(bbStringEquals(bbt_memorybyte2, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 83, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_15 = {0x2342ec67c9942389, 84, 0};
					bbOnDebugEnterStm(&__stmt_15);
					if(bbStringEquals(bbt_memorybyte3, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 84, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_16 = {0x2342ec67c9942389, 85, 0};
					bbOnDebugEnterStm(&__stmt_16);
					if(bbStringEquals(bbt_memorybyte3, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 85, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_17 = {0x2342ec67c9942389, 86, 0};
					bbOnDebugEnterStm(&__stmt_17);
					if(bbStringEquals(bbt_memorybyte4, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 86, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_18 = {0x2342ec67c9942389, 87, 0};
					bbOnDebugEnterStm(&__stmt_18);
					if(bbStringEquals(bbt_memorybyte4, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 87, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_19 = {0x2342ec67c9942389, 88, 0};
					bbOnDebugEnterStm(&__stmt_19);
					if(bbStringEquals(bbt_memorybyte5, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 88, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_20 = {0x2342ec67c9942389, 89, 0};
					bbOnDebugEnterStm(&__stmt_20);
					if(bbStringEquals(bbt_memorybyte5, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 89, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_21 = {0x2342ec67c9942389, 90, 0};
					bbOnDebugEnterStm(&__stmt_21);
					if(bbStringEquals(bbt_memorybyte6, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 90, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_22 = {0x2342ec67c9942389, 91, 0};
					bbOnDebugEnterStm(&__stmt_22);
					if(bbStringEquals(bbt_memorybyte6, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 91, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_23 = {0x2342ec67c9942389, 92, 0};
					bbOnDebugEnterStm(&__stmt_23);
					if(bbStringEquals(bbt_memorybyte7, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 92, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_24 = {0x2342ec67c9942389, 93, 0};
					bbOnDebugEnterStm(&__stmt_24);
					if(bbStringEquals(bbt_memorybyte7, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 93, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_25 = {0x2342ec67c9942389, 94, 0};
					bbOnDebugEnterStm(&__stmt_25);
					if(bbStringEquals(bbt_memorybyte8, ((BBString*)&_s16))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 94, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s16));
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_26 = {0x2342ec67c9942389, 95, 0};
					bbOnDebugEnterStm(&__stmt_26);
					if(bbStringEquals(bbt_memorybyte8, ((BBString*)&_s12))==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 95, 0};
						bbOnDebugEnterStm(&__stmt_0);
						brl_stream_WriteLine2((struct brl_stream_TStream_obj*)bbt_in2,((BBString*)&_s17));
						bbOnDebugLeaveScope();
					}
					bbOnDebugLeaveScope();
				}
				bbOnDebugLeaveScope();
			}
			struct BBDebugStm __stmt_8 = {0x2342ec67c9942389, 100, 0};
			bbOnDebugEnterStm(&__stmt_8);
			brl_stream_CloseStream((struct brl_stream_TStream_obj*)bbt_in);
			struct BBDebugStm __stmt_9 = {0x2342ec67c9942389, 101, 0};
			bbOnDebugEnterStm(&__stmt_9);
			brl_stream_CloseStream((struct brl_stream_TStream_obj*)bbt_in2);
			bbOnDebugLeaveScope();
		}
		struct BBDebugStm __stmt_21 = {0x2342ec67c9942389, 136, 0};
		bbOnDebugEnterStm(&__stmt_21);
		if(bbStringEquals(bbt_dec, ((BBString*)&_s18))==1){
			BBINT bbt_numb2=0;
			struct brl_stream_TStream_obj* bbt_in3=(struct brl_stream_TStream_obj*)((struct brl_stream_TStream_obj*)&bbNullObject);
			struct brl_stream_TStream_obj* bbt_in22=(struct brl_stream_TStream_obj*)((struct brl_stream_TStream_obj*)&bbNullObject);
			struct BBDebugScope_3 __scope = {
				BBDEBUGSCOPE_LOCALBLOCK,
				0,
				{
					{
						BBDEBUGDECL_LOCAL,
						"numb",
						"i",
						.var_address=&bbt_numb2
					},
					{
						BBDEBUGDECL_LOCAL,
						"in",
						":TStream",
						.var_address=&bbt_in3
					},
					{
						BBDEBUGDECL_LOCAL,
						"in2",
						":TStream",
						.var_address=&bbt_in22
					},
					{
						BBDEBUGDECL_END
					}
				}
			};
			bbOnDebugEnterScope((BBDebugScope *)&__scope);
			struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 137, 0};
			bbOnDebugEnterStm(&__stmt_0);
			bbt_numb2=0;
			struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 138, 0};
			bbOnDebugEnterStm(&__stmt_1);
			bbt_in1=brl_standardio_Input((BBString*)&_s13);
			struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 139, 0};
			bbOnDebugEnterStm(&__stmt_2);
			bbt_in3=(struct brl_stream_TStream_obj*)brl_stream_ReadStream((BBOBJECT)bbt_in1);
			struct BBDebugStm __stmt_3 = {0x2342ec67c9942389, 140, 0};
			bbOnDebugEnterStm(&__stmt_3);
			if(!(((BBObject*)bbt_in3)!= &bbNullObject)){
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 140, 0};
				bbOnDebugEnterStm(&__stmt_0);
				brl_blitz_RuntimeError(bbStringConcat(((BBString*)&_s14),bbt_in1));
				bbOnDebugLeaveScope();
			}
			struct BBDebugStm __stmt_4 = {0x2342ec67c9942389, 141, 0};
			bbOnDebugEnterStm(&__stmt_4);
			bbt_inm2=brl_standardio_Input((BBString*)&_s15);
			struct BBDebugStm __stmt_5 = {0x2342ec67c9942389, 142, 0};
			bbOnDebugEnterStm(&__stmt_5);
			bbt_in22=(struct brl_stream_TStream_obj*)brl_stream_WriteStream((BBOBJECT)bbt_inm2);
			struct BBDebugStm __stmt_6 = {0x2342ec67c9942389, 143, 0};
			bbOnDebugEnterStm(&__stmt_6);
			if(!(((BBObject*)bbt_in22)!= &bbNullObject)){
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 143, 0};
				bbOnDebugEnterStm(&__stmt_0);
				brl_blitz_RuntimeError(bbStringConcat(((BBString*)&_s14),bbt_inm2));
				bbOnDebugLeaveScope();
			}
			struct BBDebugStm __stmt_7 = {0x2342ec67c9942389, 145, 0};
			bbOnDebugEnterStm(&__stmt_7);
			while(!(brl_stream_Eof((struct brl_stream_TStream_obj*)bbt_in3)!=0)){
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 146, 0};
				bbOnDebugEnterStm(&__stmt_0);
				bbt_inread=brl_stream_ReadLine2((struct brl_stream_TStream_obj*)bbt_in3);
				struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 148, 0};
				bbOnDebugEnterStm(&__stmt_1);
				if(bbStringEquals(bbt_inread, ((BBString*)&_s17))==1){
					struct BBDebugScope __scope = {
						BBDEBUGSCOPE_LOCALBLOCK,
						0,
						{
							{
								BBDEBUGDECL_END
							}
						}
					};
					bbOnDebugEnterScope((BBDebugScope *)&__scope);
					struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 149, 0};
					bbOnDebugEnterStm(&__stmt_0);
					if(bbt_memorybit>8){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 149, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybit=0;
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 150, 0};
					bbOnDebugEnterStm(&__stmt_1);
					bbt_memorybit=(bbt_memorybit+1);
					struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 151, 0};
					bbOnDebugEnterStm(&__stmt_2);
					if(bbt_memorybit==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 151, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte1=((BBString*)&_s12);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_3 = {0x2342ec67c9942389, 152, 0};
					bbOnDebugEnterStm(&__stmt_3);
					if(bbt_memorybit==2){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 152, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte2=((BBString*)&_s12);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_4 = {0x2342ec67c9942389, 153, 0};
					bbOnDebugEnterStm(&__stmt_4);
					if(bbt_memorybit==3){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 153, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte3=((BBString*)&_s12);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_5 = {0x2342ec67c9942389, 154, 0};
					bbOnDebugEnterStm(&__stmt_5);
					if(bbt_memorybit==4){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 154, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte4=((BBString*)&_s12);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_6 = {0x2342ec67c9942389, 155, 0};
					bbOnDebugEnterStm(&__stmt_6);
					if(bbt_memorybit==5){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 155, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte5=((BBString*)&_s12);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_7 = {0x2342ec67c9942389, 156, 0};
					bbOnDebugEnterStm(&__stmt_7);
					if(bbt_memorybit==6){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 156, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte6=((BBString*)&_s12);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_8 = {0x2342ec67c9942389, 157, 0};
					bbOnDebugEnterStm(&__stmt_8);
					if(bbt_memorybit==7){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 157, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte7=((BBString*)&_s12);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_9 = {0x2342ec67c9942389, 158, 0};
					bbOnDebugEnterStm(&__stmt_9);
					if(bbt_memorybit==8){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 158, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte8=((BBString*)&_s12);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_10 = {0x2342ec67c9942389, 159, 0};
					bbOnDebugEnterStm(&__stmt_10);
					if(bbt_memorybit==8){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 160, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_totalascii=0;
						struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 161, 0};
						bbOnDebugEnterStm(&__stmt_1);
						if(bbStringEquals(bbt_memorybyte1, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 161, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+1);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 162, 0};
						bbOnDebugEnterStm(&__stmt_2);
						if(bbStringEquals(bbt_memorybyte2, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 162, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+2);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_3 = {0x2342ec67c9942389, 163, 0};
						bbOnDebugEnterStm(&__stmt_3);
						if(bbStringEquals(bbt_memorybyte3, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 163, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+4);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_4 = {0x2342ec67c9942389, 164, 0};
						bbOnDebugEnterStm(&__stmt_4);
						if(bbStringEquals(bbt_memorybyte4, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 164, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+8);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_5 = {0x2342ec67c9942389, 165, 0};
						bbOnDebugEnterStm(&__stmt_5);
						if(bbStringEquals(bbt_memorybyte5, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 165, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_6 = {0x2342ec67c9942389, 166, 0};
						bbOnDebugEnterStm(&__stmt_6);
						if(bbStringEquals(bbt_memorybyte6, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 166, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+32);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_7 = {0x2342ec67c9942389, 167, 0};
						bbOnDebugEnterStm(&__stmt_7);
						if(bbStringEquals(bbt_memorybyte7, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 167, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+64);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_8 = {0x2342ec67c9942389, 168, 0};
						bbOnDebugEnterStm(&__stmt_8);
						if(bbStringEquals(bbt_memorybyte8, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 168, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+128);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_9 = {0x2342ec67c9942389, 169, 0};
						bbOnDebugEnterStm(&__stmt_9);
						brl_stream_WriteByte((struct brl_stream_TStream_obj*)bbt_in22,bbt_totalascii);
						struct BBDebugStm __stmt_10 = {0x2342ec67c9942389, 170, 0};
						bbOnDebugEnterStm(&__stmt_10);
						bbt_memorybit=9;
						struct BBDebugStm __stmt_11 = {0x2342ec67c9942389, 171, 0};
						bbOnDebugEnterStm(&__stmt_11);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 171, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte1=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_12 = {0x2342ec67c9942389, 172, 0};
						bbOnDebugEnterStm(&__stmt_12);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 172, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte2=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_13 = {0x2342ec67c9942389, 173, 0};
						bbOnDebugEnterStm(&__stmt_13);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 173, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte3=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_14 = {0x2342ec67c9942389, 174, 0};
						bbOnDebugEnterStm(&__stmt_14);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 174, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte4=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_15 = {0x2342ec67c9942389, 175, 0};
						bbOnDebugEnterStm(&__stmt_15);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 175, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte5=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_16 = {0x2342ec67c9942389, 176, 0};
						bbOnDebugEnterStm(&__stmt_16);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 176, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte6=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_17 = {0x2342ec67c9942389, 177, 0};
						bbOnDebugEnterStm(&__stmt_17);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 177, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte7=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_18 = {0x2342ec67c9942389, 178, 0};
						bbOnDebugEnterStm(&__stmt_18);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 178, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte8=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						bbOnDebugLeaveScope();
					}
					bbOnDebugLeaveScope();
				}
				struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 182, 0};
				bbOnDebugEnterStm(&__stmt_2);
				if(bbStringEquals(bbt_inread, ((BBString*)&_s16))==1){
					struct BBDebugScope __scope = {
						BBDEBUGSCOPE_LOCALBLOCK,
						0,
						{
							{
								BBDEBUGDECL_END
							}
						}
					};
					bbOnDebugEnterScope((BBDebugScope *)&__scope);
					struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 183, 0};
					bbOnDebugEnterStm(&__stmt_0);
					if(bbt_memorybit>8){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 183, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybit=0;
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 184, 0};
					bbOnDebugEnterStm(&__stmt_1);
					bbt_memorybit=(bbt_memorybit+1);
					struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 185, 0};
					bbOnDebugEnterStm(&__stmt_2);
					if(bbt_memorybit==1){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 185, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte1=((BBString*)&_s16);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_3 = {0x2342ec67c9942389, 186, 0};
					bbOnDebugEnterStm(&__stmt_3);
					if(bbt_memorybit==2){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 186, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte2=((BBString*)&_s16);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_4 = {0x2342ec67c9942389, 187, 0};
					bbOnDebugEnterStm(&__stmt_4);
					if(bbt_memorybit==3){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 187, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte3=((BBString*)&_s16);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_5 = {0x2342ec67c9942389, 188, 0};
					bbOnDebugEnterStm(&__stmt_5);
					if(bbt_memorybit==4){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 188, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte4=((BBString*)&_s16);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_6 = {0x2342ec67c9942389, 189, 0};
					bbOnDebugEnterStm(&__stmt_6);
					if(bbt_memorybit==5){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 189, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte5=((BBString*)&_s16);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_7 = {0x2342ec67c9942389, 190, 0};
					bbOnDebugEnterStm(&__stmt_7);
					if(bbt_memorybit==6){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 190, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte6=((BBString*)&_s16);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_8 = {0x2342ec67c9942389, 191, 0};
					bbOnDebugEnterStm(&__stmt_8);
					if(bbt_memorybit==7){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 191, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte7=((BBString*)&_s16);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_9 = {0x2342ec67c9942389, 192, 0};
					bbOnDebugEnterStm(&__stmt_9);
					if(bbt_memorybit==8){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 192, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_memorybyte8=((BBString*)&_s16);
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_10 = {0x2342ec67c9942389, 193, 0};
					bbOnDebugEnterStm(&__stmt_10);
					if(bbt_memorybit==8){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 194, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_totalascii=0;
						struct BBDebugStm __stmt_1 = {0x2342ec67c9942389, 195, 0};
						bbOnDebugEnterStm(&__stmt_1);
						if(bbStringEquals(bbt_memorybyte1, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 195, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+1);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_2 = {0x2342ec67c9942389, 196, 0};
						bbOnDebugEnterStm(&__stmt_2);
						if(bbStringEquals(bbt_memorybyte2, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 196, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+2);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_3 = {0x2342ec67c9942389, 197, 0};
						bbOnDebugEnterStm(&__stmt_3);
						if(bbStringEquals(bbt_memorybyte3, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 197, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+4);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_4 = {0x2342ec67c9942389, 198, 0};
						bbOnDebugEnterStm(&__stmt_4);
						if(bbStringEquals(bbt_memorybyte4, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 198, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+8);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_5 = {0x2342ec67c9942389, 199, 0};
						bbOnDebugEnterStm(&__stmt_5);
						if(bbStringEquals(bbt_memorybyte5, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 199, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_6 = {0x2342ec67c9942389, 200, 0};
						bbOnDebugEnterStm(&__stmt_6);
						if(bbStringEquals(bbt_memorybyte6, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 200, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+32);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_7 = {0x2342ec67c9942389, 201, 0};
						bbOnDebugEnterStm(&__stmt_7);
						if(bbStringEquals(bbt_memorybyte7, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 201, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+64);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_8 = {0x2342ec67c9942389, 202, 0};
						bbOnDebugEnterStm(&__stmt_8);
						if(bbStringEquals(bbt_memorybyte8, ((BBString*)&_s12))==1){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 202, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_totalascii=(bbt_totalascii+128);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_9 = {0x2342ec67c9942389, 203, 0};
						bbOnDebugEnterStm(&__stmt_9);
						brl_stream_WriteByte((struct brl_stream_TStream_obj*)bbt_in22,bbt_totalascii);
						struct BBDebugStm __stmt_10 = {0x2342ec67c9942389, 204, 0};
						bbOnDebugEnterStm(&__stmt_10);
						bbt_memorybit=9;
						struct BBDebugStm __stmt_11 = {0x2342ec67c9942389, 205, 0};
						bbOnDebugEnterStm(&__stmt_11);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 205, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte1=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_12 = {0x2342ec67c9942389, 206, 0};
						bbOnDebugEnterStm(&__stmt_12);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 206, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte2=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_13 = {0x2342ec67c9942389, 207, 0};
						bbOnDebugEnterStm(&__stmt_13);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 207, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte3=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_14 = {0x2342ec67c9942389, 208, 0};
						bbOnDebugEnterStm(&__stmt_14);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 208, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte4=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_15 = {0x2342ec67c9942389, 209, 0};
						bbOnDebugEnterStm(&__stmt_15);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 209, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte5=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_16 = {0x2342ec67c9942389, 210, 0};
						bbOnDebugEnterStm(&__stmt_16);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 210, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte6=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_17 = {0x2342ec67c9942389, 211, 0};
						bbOnDebugEnterStm(&__stmt_17);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 211, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte7=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_18 = {0x2342ec67c9942389, 212, 0};
						bbOnDebugEnterStm(&__stmt_18);
						if(bbt_memorybit>8){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x2342ec67c9942389, 212, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_memorybyte8=((BBString*)&_s16);
							bbOnDebugLeaveScope();
						}
						bbOnDebugLeaveScope();
					}
					bbOnDebugLeaveScope();
				}
				bbOnDebugLeaveScope();
			}
			struct BBDebugStm __stmt_8 = {0x2342ec67c9942389, 217, 0};
			bbOnDebugEnterStm(&__stmt_8);
			brl_stream_CloseStream((struct brl_stream_TStream_obj*)bbt_in3);
			struct BBDebugStm __stmt_9 = {0x2342ec67c9942389, 218, 0};
			bbOnDebugEnterStm(&__stmt_9);
			brl_stream_CloseStream((struct brl_stream_TStream_obj*)bbt_in22);
			struct BBDebugStm __stmt_10 = {0x2342ec67c9942389, 229, 0};
			bbOnDebugEnterStm(&__stmt_10);
			brl_standardio_Input((BBString*)&_s19);
			struct BBDebugStm __stmt_11 = {0x2342ec67c9942389, 230, 0};
			bbOnDebugEnterStm(&__stmt_11);
			bbEnd();
			bbOnDebugLeaveScope();
		}
		bbOnDebugLeaveScope();
		return 0;
	}
	return 0;
}